FileInfo.c File Reference

UpnpFileInfo object implementation. More...

`#include "config.h"`
`#include "FileInfo.h"`
`#include <stdlib.h>`
`#include <string.h>`
Include dependency graph for FileInfo.c:

## Data Structures

struct | SUpnpFileInfo

## Functions

UpnpFileInfo * | UpnpFileInfo_new ()
void | UpnpFileInfo_delete (UpnpFileInfo *p)
UpnpFileInfo * | UpnpFileInfo_dup (const UpnpFileInfo *p)
void | UpnpFileInfo_assign (UpnpFileInfo *p, const UpnpFileInfo *q)
off_t | UpnpFileInfo_get_FileLength (const UpnpFileInfo *p)
void | UpnpFileInfo_set_FileLength (UpnpFileInfo *p, off_t l)
const time_t * | UpnpFileInfo_get_LastModified (const UpnpFileInfo *p)
void | UpnpFileInfo_set_LastModified (UpnpFileInfo *p, const time_t *t)
int | UpnpFileInfo_get_IsDirectory (const UpnpFileInfo *p)
void | UpnpFileInfo_set_IsDirectory (UpnpFileInfo *p, int b)
int | UpnpFileInfo_get_IsReadable (const UpnpFileInfo *p)
void | UpnpFileInfo_set_IsReadable (UpnpFileInfo *p, int b)
const DOMString | UpnpFileInfo_get_ContentType (const UpnpFileInfo *p)
const char * | UpnpFileInfo_get_ContentType_cstr (const UpnpFileInfo *p)
void | UpnpFileInfo_set_ContentType (UpnpFileInfo *p, const DOMString s)
const DOMString | UpnpFileInfo_get_ExtraHeaders (const UpnpFileInfo *p)
const char * | UpnpFileInfo_get_ExtraHeaders_cstr (const UpnpFileInfo *p)
void | UpnpFileInfo_set_ExtraHeaders (UpnpFileInfo *p, const DOMString s)

## Detailed Description

UpnpFileInfo object implementation.

Author
  Marcelo Roberto Jimenez

## Function Documentation

void UpnpFileInfo_assign | ( | UpnpFileInfo * | p,
|  | const UpnpFileInfo * | q
| ) |  |

Assignment operator

References UpnpFileInfo_get_ContentType(), UpnpFileInfo_get_ExtraHeaders(), UpnpFileInfo_get_FileLength(), UpnpFileInfo_get_IsDirectory(), UpnpFileInfo_get_IsReadable(), and UpnpFileInfo_get_LastModified().

Referenced by UpnpFileInfo_dup().

void UpnpFileInfo_delete | ( | UpnpFileInfo * | p | ) |

Destructor

References ixmlFreeDOMString().

UpnpFileInfo* UpnpFileInfo_dup | ( | const UpnpFileInfo * | p | ) |

Copy Constructor

References UpnpFileInfo_assign(), and UpnpFileInfo_new().

const DOMString UpnpFileInfo_get_ContentType | ( | const UpnpFileInfo * | p | ) |

The content type of the file.

Referenced by UpnpFileInfo_assign().

const DOMString UpnpFileInfo_get_ExtraHeaders | ( | const UpnpFileInfo * | p | ) |

Additional HTTP headers to return. Each header line should be followed by "\r\n".

Referenced by UpnpFileInfo_assign().

off_t UpnpFileInfo_get_FileLength | ( | const UpnpFileInfo * | p | ) |

The length of the file. A length less than 0 indicates the size is unknown, and data will be sent until 0 bytes are returned from a read call.

Referenced by UpnpFileInfo_assign().

int UpnpFileInfo_get_IsDirectory | ( | const UpnpFileInfo * | p | ) |

If the file is a directory, is_directory contains a non-zero value. For a regular file, it should be 0.

Referenced by UpnpFileInfo_assign().

int UpnpFileInfo_get_IsReadable | ( | const UpnpFileInfo * | p | ) |

If the file or directory is readable, this contains a non-zero value. If unreadable, it should be set to 0.

Referenced by UpnpFileInfo_assign().

const time_t* UpnpFileInfo_get_LastModified | ( | const UpnpFileInfo * | p | ) |

The time at which the contents of the file was modified; The time system is always local (not GMT).

Referenced by UpnpFileInfo_assign().

UpnpFileInfo* UpnpFileInfo_new | ( |  | ) |

Constructor

Referenced by UpnpFileInfo_dup().